package org.kantega.jexmec.ctor;

/*
 * Copyright 2011 Kantega AS
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Exception thrown when a plugin class is invalid for some reason.
 */
public class InvalidPluginException extends RuntimeException {
    private final Class pluginClass;

    public InvalidPluginException(String message, Throwable throwable, Class pluginClass) {
        super(message, throwable);
        this.pluginClass = pluginClass;
    }

    public InvalidPluginException(String message, Class pluginClass) {
        super(message);
        this.pluginClass = pluginClass;
    }

    public Class getPluginClass() {
        return pluginClass;
    }
}
